<template>
	<view>
		<web-view :src="url" @onPostMessage="handleWebViewMessage" @message="handleWebViewMessage"></web-view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				url:''
			}
		},
		onLoad(op){
			this.url = JSON.parse(decodeURIComponent(op.url))
			console.log(this.url);
		},
		
		methods: {
			 // 接收内容：
			   handleWebViewMessage(event) {
			    console.log('handleWebViewMessage', event)
			  }

		}
	}
</script>

<style>

</style>
